import request from '@/router/axios';
//获取岗位列表信息
export const getRoleList = (params) => {
    return request({
        url: '/api/blade-manager/signConfig/roleList',
        method: 'get',
        params
    })
}

//分页
export const getListPage = (params) => {
    return request({
        url: '/api/blade-manager/signConfig/list',
        method: 'get',
        params
    })
}


//获取元素列表
export const getElementList = (params) => {
    return request({
        url: '/api/blade-manager/signConfig/elementList',
        method: 'get',
        params
    })
}


//获取元素表分类列表
export const getTableTypeList = (params) => {
    return request({
        url: '/api/blade-manager/signConfig/tableType',
        method: 'get',
        params
    })
}
//获取元素表列表
export const getTableList = (params) => {
    return request({
        url: '/api/blade-manager/signConfig/tableList',
        method: 'get',
        params
    })
}

//获取所有施工方、监理方、业主方的角色列表
export const queryAllRoleList= (params) => {
    return request({
        url: '/api/blade-manager/signConfig/queryAllRoleList',
        method: 'get',
        params
    })
}


// 新增或修改
export const submitEle = (data) => {
    return request({
        url: '/api/blade-manager/signConfig/submit',
        method: 'post',
        data
    });
}
//获取元素详情 /blade-manager/signConfig/elementDetail
export const elementDetail= (params) => {
    return request({
        url: '/api/blade-manager/signConfig/elementDetail',
        method: 'get',
        params
    })  
}

export const roleDetail= (params) => {
    return request({
        url: '/api//blade-manager/signConfig/roleDetail',
        method: 'get',
        params
    })  
}
//删除
export const removeEle = (data) => {
    return request({
        url: '/api/blade-manager/signConfig/remove',
        method: 'post',
        params:data
    });
}


//启用
export const updateStatusEle = (data) => {
    return request({
        url: '/api//blade-manager/signConfig/updateStatus',
        method: 'post',
        params:data
    });
}